package core;


/**
 * SpawnPoint
 * @author Varkalas D`Lonovan
 */
public class SpawnPoint {
	/**
	 * Class Variables
	 */
	private int label;
	private boolean beingUsed;
	private GameEntity creature;


	/**
	 * Constructor
	 */
	public SpawnPoint() {
	}


	/**
	 * @return Returns the beingUsed.
	 */
	public boolean isBeingUsed() {
		return beingUsed;
	}


	/**
	 * @param beingUsed The beingUsed to set.
	 */
	public void setBeingUsed(boolean beingUsed) {
		this.beingUsed = beingUsed;
	}


	/**
	 * @return Returns the creature.
	 */
	public GameEntity getCreature() {
		return creature;
	}


	/**
	 * @param creature The creature to set.
	 */
	public void setCreature(GameEntity creature) {
		this.creature = creature;
	}


	/**
	 * @return Returns the label.
	 */
	public int getLabel() {
		return label;
	}


	/**
	 * @param label The label to set.
	 */
	public void setLabel(int label) {
		this.label = label;
	}
}