package core;


/**
 * Imports
 */
import graphics.Renderer;


/**
 * The Engine Class
 * @author Varkalas D`Lonovan
 */
public class Engine {
	/**
     * Constructor
     */
    public Engine() {
    }


    /**
     * The main method that creates a new game and starts it.
     * @param args Arguments taken in from the command-line.
     */
    public static void main(String[] args) {
        Game newGame = new Game();
        newGame.getRenderer().setEngineRunning(true);
        newGame.getRenderer().switchWindow(Renderer.ENGINE_TITLE_WINDOW);
        newGame.getRenderer().gameLoop();
    }
}