package core;


/**
 * Imports
 */
import java.io.Serializable;
import java.util.LinkedList;


/**
 * Profession
 * @author Varkalas D`Lonovan
 */
public class Profession implements Serializable {
	/**
	 * Class Variables
	 */
	private static final long serialVersionUID = 585694553843490016L;
    private String name;
    private LinkedList spells;
    public final static int WARRIOR = 0;
    public final static int PALADIN = 1;
    public final static int RANGER = 2;
    public final static int CLERIC = 3;
    public final static int DRUID = 4;
    public final static int THIEF = 5;
    public final static int SORCERER = 6;
    public final static int WIZARD = 7;


    /**
     * Constructor
     */
    public Profession() {
    	//TODO: spells = new Dictionary();
    }


    /**
     * getName
     * @return Returns the name of the profession.
     */
    public String getName() {
    	return name;
    }


    /**
     * setName
     * @param name Sets the name of the profession.
     */
    public void setName(String name) {
    	this.name = name;
    }


    /**
     * getSpells
     * @return Returns a list of the spells.
     */
    public LinkedList getSpells() {
    	return spells;
    }
}