package core;


/**
 * Spell
 * @author Varkalas D`Lonovan
 */
public class Spell {
	/**
	 * Class Variables
	 */
	private String name;
	private String type;
	private int intensity;


	/**
	 * Constructor
	 */
	public Spell() {
	}


	/**
	 * getName
	 * @return Returns the name of the spell.
	 */
	public String getName() {
		return name;
	}


	/**
	 * setName
	 * @param aName The name for the spell.
	 */
	public void setName(String aName) {
		name = aName;
	}


	/**
	 * getType
	 * @return Returns a string representing the type of spell.
	 */
	public String getType() {
		return type;
	}


	/**
	 * setType
	 * @param aType The type of spell to be set.
	 */
	public void setType(String aType) {
		type = aType;
	}


	/**
	 * getIntensity
	 * @return Returns the intensity of the spell.
	 */
	public int getIntensity() {
		return intensity;
	}


	/**
	 * setIntensity
	 * @param anIntensity The intensity of the spell.
	 */
	public void setIntensity(int anIntensity) {
		intensity = anIntensity;
	}
}