package graphics;


/**
 * Imports
 */
import java.awt.Graphics2D;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;


/**
 * GUI - Interface used for rendering the various GUIs.
 */
public class GUI implements MouseListener, MouseMotionListener, KeyListener {
	/**
	 * Changes that happen during the game with time.
	 */
	public void timeChanges(long delta) {
	}

    /**
     * Renders the graphics using the given graphic context.
     */
	public void render(Graphics2D graphics) {
    }

    /**
     * Inherited methods from MouseListener, MouseMotionListener, and KeyListener
     */
    public void mouseDragged(MouseEvent arg0) {
    }
    public void mouseMoved(MouseEvent arg0) {
    }
    public void mouseClicked(MouseEvent arg0) {
    }
    public void mouseEntered(MouseEvent arg0) {
    }
    public void mouseExited(MouseEvent arg0) {
    }
    public void mousePressed(MouseEvent arg0) {
    }
    public void mouseReleased(MouseEvent arg0) {
    }
    public void keyPressed(KeyEvent arg0) {
    }
    public void keyReleased(KeyEvent arg0) {
    }
    public void keyTyped(KeyEvent arg0) {
    }
}